Package org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

# Class Service3

java.lang.Object
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.Service3

All Implemented Interfaces:
  `ServiceInterface2`

public class Service3 extends Object implements ServiceInterface2

## Constructor Summary

Constructors
Constructor
Description
`Service3()`

## Method Summary

Modifier and Type
Method
Description
`org.osgi.service.component.ComponentContext`
`getComponentContext()`
`Map<String,Object>`
`getConfig()`
`ServiceInterface1`
`getReference1()`
`ServiceInterface1Optional`
`getReference1Optional()`
`List<Map<String,Object>>`
`getReference3Configs()`
`List<ServiceInterface2>`
`getReferences2()`
`List<ServiceSuperInterface3>`
`getReferences3()`
`Set<ServiceSuperInterface3>`
`getReferences3Set()`
`boolean`
`isBindReference1OptionalCalled()`
`boolean`
`isBindReference3Called()`
`boolean`
`isUnbindReference1OptionalCalled()`
`boolean`
`isUnbindReference3Called()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Service3

public Service3()

## Method Details

### getReference1

public ServiceInterface1 getReference1()

### getReference1Optional

public ServiceInterface1Optional getReference1Optional()

### getReferences2

public List<ServiceInterface2> getReferences2()

### getReferences3

public List<ServiceSuperInterface3> getReferences3()

### getReference3Configs

public List<Map<String,Object>> getReference3Configs()

### getReferences3Set

public Set<ServiceSuperInterface3> getReferences3Set()

### getComponentContext

public org.osgi.service.component.ComponentContext getComponentContext()

### getConfig

public Map<String,Object> getConfig()

### isBindReference1OptionalCalled

public boolean isBindReference1OptionalCalled()

### isUnbindReference1OptionalCalled

public boolean isUnbindReference1OptionalCalled()

### isBindReference3Called

public boolean isBindReference3Called()

### isUnbindReference3Called

public boolean isUnbindReference3Called()